{
  name: "Booster Energy",
  spritenum: 745,
  fling: {
  	basePower: 30,
  },
  onStart() {
  	this.effectState.started = true;
  },
  onUpdate(pokemon) {
  	if (!this.effectState.started || pokemon.transformed) return;
  	if (this.queue.peek(true)?.choice === 'runSwitch') return;
  	if (pokemon.hasAbility('protosynthesis') && !this.field.isWeather('sunnyday') && pokemon.useItem()) {
  		pokemon.addVolatile('protosynthesis');
  	}
  	if (pokemon.hasAbility('quarkdrive') && !this.field.isTerrain('electricterrain') && pokemon.useItem()) {
  		pokemon.addVolatile('quarkdrive');
  	}
  },
  onTakeItem(item, source) {
  	if (source.baseSpecies.tags.includes("Paradox")) return false;
  	return true;
  },
  num: 1880,
  gen: 9,
}